Share or unshare a specific list of assets by their IDs.
POST
/actions/assets/share
curl
curl -X POST "http://api.example.com/actions/assets/share" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"asset_ids": [
"a24a6ea4-ce75-4665-a070-57453082c25",
"b35b7fb5-df86-5776-b181-68564193d36"
],
"is_shared": true
}'
import requests
url = "http://api.example.com/actions/assets/share"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"asset_ids": [
"a24a6ea4-ce75-4665-a070-57453082c25",
"b35b7fb5-df86-5776-b181-68564193d36"
],
"is_shared": true
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/actions/assets/share' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"asset_ids":["a24a6ea4-ce75-4665-a070-57453082c25","b35b7fb5-df86-5776-b181-68564193d36"],"is_shared":true}'
Request examples
{
"asset_ids": [
"a24a6ea4-ce75-4665-a070-57453082c25",
"b35b7fb5-df86-5776-b181-68564193d36"
],
"is_shared": true
}
Response examples (200)
{
"updated_count": 2,
"asset_ids": [
"a24a6ea4-ce75-4665-a070-57453082c25",
"b35b7fb5-df86-5776-b181-68564193d36"
]
}